package com.gh.gamecenter.room.converter

import androidx.room.TypeConverter
import com.gh.gamecenter.common.utils.toJson
import com.gh.gamecenter.common.utils.toObject
import com.gh.gamecenter.entity.SimpleGame

class SimpleGameConverter {
    @TypeConverter
    fun toSimpleGameString(data: SimpleGame?): String {
        return data?.toJson() ?: ""
    }

    @TypeConverter
    fun toSimpleGameEntity(token: String?): SimpleGame {
        return token?.toObject() ?: SimpleGame()
    }
}